package jp.co.powerbeans.vbscore.model;




/**
 * チームの特定タイプ分析結果
 * @author amonden
 *
 */
public class TeamAnalyze extends VBSModel {


	/**
	 * 
	 */
	private static final long serialVersionUID = -3091317117727449211L;
	/**
	 * アクション種類ID
	 */
	private int actionDefId;
	/**
	 * 分析名
	 */
	private String name;
	/**
	 * アクション名
	 */
	private String actionName;
	/**
	 * アクション結果種別ID
	 */
	private int actinoResultDefId;
	/**
	 * アクション結果名
	 */
	private String actionResultName;
	/**
	 * 回数
	 */
	private int times;
	/**
	 * 全回数
	 */
	private int alltimes;
	/**
	 * 割合(%)
	 */
	private int per;
	
	/**
	 * @return actinoResultDefId を戻します。
	 */
	public int getActinoResultDefId() {
		return actinoResultDefId;
	}
	/**
	 * @param actinoResultDefId 設定する actinoResultDefId。
	 */
	public void setActinoResultDefId(int actinoResultDefId) {
		this.actinoResultDefId = actinoResultDefId;
	}
	/**
	 * @return actionDefId を戻します。
	 */
	public int getActionDefId() {
		return actionDefId;
	}
	/**
	 * @param actionDefId 設定する actionDefId。
	 */
	public void setActionDefId(int actionDefId) {
		this.actionDefId = actionDefId;
	}
	/**
	 * @return actionName を戻します。
	 */
	public String getActionName() {
		return actionName;
	}
	/**
	 * @param actionName 設定する actionName。
	 */
	public void setActionName(String actionName) {
		this.actionName = actionName;
	}
	/**
	 * @return actionResultName を戻します。
	 */
	public String getActionResultName() {
		return actionResultName;
	}
	/**
	 * @param actionResultName 設定する actionResultName。
	 */
	public void setActionResultName(String actionResultName) {
		this.actionResultName = actionResultName;
	}
	/**
	 * @return times を戻します。
	 */
	public int getTimes() {
		return times;
	}
	/**
	 * @param times 設定する times。
	 */
	public void setTimes(int times) {
		this.times = times;
	}
	/**
	 * @return alltimes を戻します。
	 */
	public int getAlltimes() {
		return alltimes;
	}
	/**
	 * @param alltimes 設定する alltimes。
	 */
	public void setAlltimes(int alltimes) {
		this.alltimes = alltimes;
	}
	/**
	 * @return per を戻します。
	 */
	public int getPer() {
		return per;
	}
	/**
	 * @param per 設定する per。
	 */
	public void setPer(int per) {
		this.per = per;
	}
	/**
	 * @return name を戻します。
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name 設定する name。
	 */
	public void setName(String name) {
		this.name = name;
	}
}
