package jp.co.powerbeans.common.swt;

/**
 * ChkConvSwtで発生するRuntime例外
 * @author amonden
 */
public class ChkConvSwtRuntimeException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3696915339029655173L;

	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public ChkConvSwtRuntimeException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ
	 * @param e 例外
	 */
	public ChkConvSwtRuntimeException(Throwable e) {
		super(e);
	}

	/**
	 * コンストラクタ
	 * @param e 例外
	 * @param string メッセージ
	 */
	public ChkConvSwtRuntimeException(Exception e, String string) {
		super(e);
	}
}
