package jp.co.powerbeans.vbscore.model;



/**
 * 各チームの主将マスタ.
 * プログラム側で1チーム=1主将となるように制御する.
 * 特に試合データとは関連しない.現在のチームの主将を表す
 * @author amonden
 *
 */
public class Captain extends VBSModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5221751999750573922L;
	/**
	 * 主将ID
	 */
	private int captainId;
	/**
	 * チームID
	 */
	private int teamId;
	/**
	 * プレイヤーID
	 */
	private int playerId;
	/**
	 * @return captainId を戻します。
	 */
	public int getCaptainId() {
		return captainId;
	}
	/**
	 * @param captainId 設定する captainId。
	 */
	public void setCaptainId(int captainId) {
		this.captainId = captainId;
	}
	/**
	 * @return playerId を戻します。
	 */
	public int getPlayerId() {
		return playerId;
	}
	/**
	 * @param playerId 設定する playerId。
	 */
	public void setPlayerId(int playerId) {
		this.playerId = playerId;
	}
	/**
	 * @return teamId を戻します。
	 */
	public int getTeamId() {
		return teamId;
	}
	/**
	 * @param teamId 設定する teamId。
	 */
	public void setTeamId(int teamId) {
		this.teamId = teamId;
	}
}
