package jp.co.powerbeans.vbscore.swt.chart;

import jp.co.powerbeans.vbscore.swt.PBSwt;

import org.eclipse.swt.widgets.Composite;
import org.jfree.chart.JFreeChart;

/**
 * Chartを表示するSwt
 * @author amonden
 * @create date 2006/12/17
 */
public class ChartSwt extends PBSwt {

	private JFreeChart chart;
  private ChartComposit comp;
	
	/**
	 * @param chart
	 * @param title
	 * @param width
	 * @param height
	 */
	public ChartSwt(JFreeChart chart, String title, int width, int height) {
		super();
		this.chart = chart;
		initialize(title, width, height);
	}

	/**
	 * 初期化
	 * @param height 
	 * @param width 
	 * @param title 
	 */
	private void initialize(String title, int width, int height) {
		createSShell(title, width, height, false);

		Composite comp = createNRow1ColComposit();
		this.comp = new ChartComposit(comp, this.chart);
	}
}
